MacDrawProStyleManagerInternal::State Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MacDrawProStyleManagerInternal::State Struct Reference

Internal: the state of a MacDrawProStyleManager. More...

## Public Member Functions
| State ()
| constructor More...
void | initBWPatterns ()
| init the black and white patterns list More...
void | initColors ()
| init the colors list More...
void | initDashs ()
| init the dashs list More...
void | initPens ()
| init the pens list More...

## Public Attributes
MWAWVec2f | m_documentSize
| the document size (in point) More...
int | m_numStyleZones [6]
| the number of zones More...
int | m_numColors
| the number of color More...
int | m_numBWPatterns
| the number of BW pattern More...
int | m_numColorPatterns
| the number of color pattern More...
int | m_numPatternsInTool
| the number of pattern in tool list More...
std::vector< MWAWColor > | m_colorList
| the color list More...
std::vector< MWAWColor > | m_displayColorList
| the display color list More...
std::vector< std::vector< float > > | m_dashList
| the list of dash More...
std::vector< MWAWFont > | m_fontList
| the list of font More...
std::vector< MWAWParagraph > | m_paragraphList
| the list of paragraph More...
std::vector< float > | m_penSizeList
| the list of pen size More...
std::vector< MWAWGraphicStyle::Pattern > | m_BWPatternList
| the patterns list More...
std::vector< MWAWGraphicStyle::Pattern > | m_colorPatternList
| the color patterns list More...
std::vector< Gradient > | m_gradientList
| the gradient list More...

## Detailed Description

Internal: the state of a MacDrawProStyleManager.

## Constructor & Destructor Documentation

MacDrawProStyleManagerInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

void MacDrawProStyleManagerInternal::State::initBWPatterns | ( |  | ) |

init the black and white patterns list

void MacDrawProStyleManagerInternal::State::initColors | ( |  | ) |

init the colors list

void MacDrawProStyleManagerInternal::State::initDashs | ( |  | ) |

init the dashs list

void MacDrawProStyleManagerInternal::State::initPens | ( |  | ) |

init the pens list

## Member Data Documentation

std::vector<MWAWGraphicStyle::Pattern> MacDrawProStyleManagerInternal::State::m_BWPatternList

the patterns list

Referenced by initBWPatterns().

std::vector<MWAWColor> MacDrawProStyleManagerInternal::State::m_colorList

the color list

Referenced by initColors().

std::vector<MWAWGraphicStyle::Pattern> MacDrawProStyleManagerInternal::State::m_colorPatternList

the color patterns list

std::vector< std::vector<float> > MacDrawProStyleManagerInternal::State::m_dashList

the list of dash

Referenced by initDashs().

std::vector<MWAWColor> MacDrawProStyleManagerInternal::State::m_displayColorList

the display color list

MWAWVec2f MacDrawProStyleManagerInternal::State::m_documentSize

the document size (in point)

std::vector<MWAWFont> MacDrawProStyleManagerInternal::State::m_fontList

the list of font

std::vector<Gradient> MacDrawProStyleManagerInternal::State::m_gradientList

the gradient list

int MacDrawProStyleManagerInternal::State::m_numBWPatterns

the number of BW pattern

int MacDrawProStyleManagerInternal::State::m_numColorPatterns

the number of color pattern

int MacDrawProStyleManagerInternal::State::m_numColors

the number of color

int MacDrawProStyleManagerInternal::State::m_numPatternsInTool

the number of pattern in tool list

int MacDrawProStyleManagerInternal::State::m_numStyleZones[6]

the number of zones

Referenced by State().

std::vector<MWAWParagraph> MacDrawProStyleManagerInternal::State::m_paragraphList

the list of paragraph

std::vector<float> MacDrawProStyleManagerInternal::State::m_penSizeList

the list of pen size

Referenced by initPens().

The documentation for this struct was generated from the following file:

- MacDrawProStyleManager.cxx